Bug 52569 - string parsing: bad substitution bug
Summary: string parsing: bad substitution bug
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-25 12:02 UTC by Leonard den Ottolander
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-25 12:02:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leonard den Ottolander 2001-08-25 12:02:38 UTC
Description of Problem:
Certain substitutions do not work correctly, eg
./test2: ${path_name//o/}: bad substitution

Version-Release number of selected component (if applicable):
RedHat 6.2, bash-1.14.7-23.6x (the substitutions work correctly with bash-2.x on RH 7.1)

How Reproducible:
Advanced Bash Scripting HOWTO
Example 3-11. Using pattern matching to parse arbitrary strings
http://www.linuxdoc.org/LDP/abs/html/variables.html#EX7

Steps to Reproduce:
1. copy the example
2. run the script
3. 

Actual Results:
bad substitution errors 

Expected Results:
correct substitutions

Additional Information:

Comment 1 Bernhard Rosenkraenzer 2001-08-27 10:35:56 UTC
Use that, then. ;)

Most substitution features are specific to bash >= 2.0.
There's a bash2 package for 6.x as well, if you need to stay on 6.x for some 
reason.



Note You need to log in before you can comment on or make changes to this bug.